Package org.jboss.resteasy.plugins.providers.multipart

## Class MultipartFormDataOutput

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartOutput
  - - org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataOutput

-     public class MultipartFormDataOutput
      extends MultipartOutput

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​OutputPart>` | `formData` |
    `protected Map<String,​List<OutputPart>>` | `formDataMap` |

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartOutput

      `boundary, parts`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartFormDataOutput()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OutputPart` | `addFormData​(String key, Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType)` |
    `OutputPart` | `addFormData​(String key, Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType, String filename)` |
    `OutputPart` | `addFormData​(String key, Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType, String filename, boolean utf8Encode)` |
    `OutputPart` | `addFormData​(String key, Object entity, javax.ws.rs.core.GenericType<?> type, javax.ws.rs.core.MediaType mediaType)` |
    `OutputPart` | `addFormData​(String key, Object entity, javax.ws.rs.core.GenericType<?> type, javax.ws.rs.core.MediaType mediaType, String filename)` |
    `OutputPart` | `addFormData​(String key, Object entity, javax.ws.rs.core.GenericType<?> type, javax.ws.rs.core.MediaType mediaType, String filename, boolean utf8Encode)` |
    `OutputPart` | `addFormData​(String key, Object entity, javax.ws.rs.core.MediaType mediaType)` |
    `OutputPart` | `addFormData​(String key, Object entity, javax.ws.rs.core.MediaType mediaType, String filename)` |
    `OutputPart` | `addFormData​(String key, Object entity, javax.ws.rs.core.MediaType mediaType, String filename, boolean utf8Encode)` |
    `Map<String,​OutputPart>` | `getFormData()` |
    `Map<String,​List<OutputPart>>` | `getFormDataMap()` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartOutput

      `addPart, addPart, addPart, addPart, addPart, addPart, addPart, addPart, addPart, getBoundary, getParts, setBoundary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### formData

          protected Map<String,​OutputPart> formData

    - #### formDataMap

          protected Map<String,​List<OutputPart>> formDataMap

  - ### Constructor Detail

    - #### MultipartFormDataOutput

          public MultipartFormDataOutput()

  - ### Method Detail

    - #### getFormDataMap

          public Map<String,​List<OutputPart>> getFormDataMap()

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        javax.ws.rs.core.MediaType mediaType)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        javax.ws.rs.core.MediaType mediaType,
                                        String filename)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        javax.ws.rs.core.MediaType mediaType,
                                        String filename,
                                        boolean utf8Encode)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        javax.ws.rs.core.GenericType<?> type,
                                        javax.ws.rs.core.MediaType mediaType)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        javax.ws.rs.core.GenericType<?> type,
                                        javax.ws.rs.core.MediaType mediaType,
                                        String filename)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        javax.ws.rs.core.GenericType<?> type,
                                        javax.ws.rs.core.MediaType mediaType,
                                        String filename,
                                        boolean utf8Encode)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        Class<?> type,
                                        Type genericType,
                                        javax.ws.rs.core.MediaType mediaType)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        Class<?> type,
                                        Type genericType,
                                        javax.ws.rs.core.MediaType mediaType,
                                        String filename)

    - #### addFormData

          public OutputPart addFormData​(String key,
                                        Object entity,
                                        Class<?> type,
                                        Type genericType,
                                        javax.ws.rs.core.MediaType mediaType,
                                        String filename,
                                        boolean utf8Encode)

    - #### getFormData

          public Map<String,​OutputPart> getFormData()